
### Main R Script Template

# Set a working directory to the folder with analysis
# Do not change here anything if you use RStudio project (recommended)
setwd(".")

# Restore envirnoment 
library(renv)
renv::restore()

library(quarto)

# Step 1. Copy `data-clean` folder into the working directory.

# Step 2. Run main analysis.
# Note:
#   Some figures need to plot 300k polygons, when rendered with ggplot2.
#   Such plotting exercise takes 2 hours per figure. To ease plotting, we 
#   subset these figures to 10k polygons. If you wish to reproduce these 
#   figures exactly as they are, set parameters `full_plots` to TRUE, 
#   when running the following line.
#   Setting parameter `eval_all` to FALSE will disable all calculations.

quarto::quarto_render(
  "15-analysis.qmd",
  execute_params = list(
    full_plots = TRUE, # Set TRUE to reproduce admin 6,7 and 8 level figures. 
                        # Takes more than 4 hours per figure!
                        # When FALSE simplified figures are reproduced.
    eval_all = TRUE     # When FALSE, all supplementary analysis is not re-executed.
  )
)

# Step 3. Generating word document with all figures and plots
quarto::quarto_render("20-paper-tables.qmd")

# Step 4. Navigate to `20-paper-tables.docx` to inspect the results.
